Package org.eclipse.swt.events

## Class MouseAdapter

- java.lang.Object
- - org.eclipse.swt.events.MouseAdapter

All Implemented Interfaces:
  `MouseListener`

    public abstract class MouseAdapter
    extends java.lang.Object
    implements MouseListener

This adapter class provides default implementations for the methods described by the `MouseListener` interface.

Classes that wish to deal with `MouseEvent`s which occur as mouse buttons are pressed and released can extend this class and override only the methods which they are interested in.

Since:
  1.1
See Also:
  `MouseListener`, `MouseEvent`

### Constructor Summary

Constructors
`MouseAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseDoubleClick​(MouseEvent e)` Sent when a mouse button is pressed twice within the (operating system specified) double click period.
`void` `mouseDown​(MouseEvent e)` Sent when a mouse button is pressed.
`void` `mouseUp​(MouseEvent e)` Sent when a mouse button is released.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MouseAdapter

    public MouseAdapter()

### Method Detail

#### mouseDoubleClick

    public void mouseDoubleClick​(MouseEvent e)

Sent when a mouse button is pressed twice within the (operating system specified) double click period. The default behavior is to do nothing.

Specified by:
  `mouseDoubleClick` in interface `MouseListener`
Parameters:
  `e` - an event containing information about the mouse double click
See Also:
  `Display.getDoubleClickTime()`

#### mouseDown

    public void mouseDown​(MouseEvent e)

Sent when a mouse button is pressed. The default behavior is to do nothing.

Specified by:
  `mouseDown` in interface `MouseListener`
Parameters:
  `e` - an event containing information about the mouse button press

#### mouseUp

    public void mouseUp​(MouseEvent e)

Sent when a mouse button is released. The default behavior is to do nothing.

Specified by:
  `mouseUp` in interface `MouseListener`
Parameters:
  `e` - an event containing information about the mouse button release